c
c  %W%
c
c --- routine to determine b from sigma theta
c
      real function bofst(stheta)

      include'mladv.inc'

      common /vert/ rho0,tsurf,xc(k01),salsur,eta(k01)

      bofst = -g * (((1. + stheta / 1000.) / rho0) - 1.)

      return
      end
